Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.gwt.icm.client.panel.cardcredential
Interface CardCredentialEditor

All Known Implementing Classes:
  PinCredentialPanel, SelfIssuedCredentialPanel, UserNamePasswordCredentialPanel

public interface CardCredentialEditor

Author:
  Alexander Yuhimenko

Field Summary
`static String` | `KERBEROS_CRIDENTIAL_TYPE`
`static String` | `PASSWORD_CRIDENTIAL_TYPE`
`static String` | `PIN_CRIDENTIAL_TYPE`
`static String` | `SELFISSUED_CRIDENTIAL_TYPE`
`static String` | `SELFISSUED_NONPIN_CRIDENTIAL_TYPE`
`static String` | `USERNAME_PASSWORD_CRIDENTIAL_TYPE`
`static String` | `X509_CRIDENTIAL_TYPE`

Method Summary
`CardCredential` | `getCardCredential()`
`void` | `setFocus(boolean focused)`

Field Detail

### PIN_CRIDENTIAL_TYPE

    public static final String PIN_CRIDENTIAL_TYPE

See Also:
  Constant Field Values

### USERNAME_PASSWORD_CRIDENTIAL_TYPE

    public static final String USERNAME_PASSWORD_CRIDENTIAL_TYPE

See Also:
  Constant Field Values

### SELFISSUED_CRIDENTIAL_TYPE

    public static final String SELFISSUED_CRIDENTIAL_TYPE

See Also:
  Constant Field Values

### KERBEROS_CRIDENTIAL_TYPE

    public static final String KERBEROS_CRIDENTIAL_TYPE

See Also:
  Constant Field Values

### X509_CRIDENTIAL_TYPE

    public static final String X509_CRIDENTIAL_TYPE

See Also:
  Constant Field Values

### SELFISSUED_NONPIN_CRIDENTIAL_TYPE

    public static final String SELFISSUED_NONPIN_CRIDENTIAL_TYPE

See Also:
  Constant Field Values

### PASSWORD_CRIDENTIAL_TYPE

    public static final String PASSWORD_CRIDENTIAL_TYPE

See Also:
  Constant Field Values

Method Detail

### getCardCredential

    public CardCredential getCardCredential()

  Returns:

### setFocus

    public void setFocus(boolean focused)

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD